Package cs2030s.fp

## Interface Constant<T>

Type Parameters:
  `T` - The type of the constant value.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface Constant<T>

Represent a function to initialise a constant value. CS2030S Lab 5 AY22/23 Semester 1

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `init()` The functional method to initialise the constant.

### Method Detail

#### init

    T init()

The functional method to initialise the constant.

Returns:
  The constant value.